View Issue Details

IDProjectCategoryView StatusLast Update
0017755MediaMonkey 5UPnP / DLNApublic2021-04-22 22:56
ReporterLudek Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017755: Memory leak while casting to DLNA client
DescriptionWhile casting files from MM5 to a DLNA player (tested with foobar2000 with fooUPnP plugin) the memory utlized by MM5 grows 5 MB per minute!

Reported at: https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98795
TagsNo tags attached.
Fixed in build2334

Relationships

related to 0017547 closedmichal Playing mm for hours (--> crash 875B000 : fixed) --> increased memory utilization 
related to 0017781 closedLudek Crash 19F86866 on Wi-Fi sync (regression 2334) 

Activities

Ludek

2021-04-13 12:03

developer   ~0062807

Last edited: 2021-04-13 12:03

View 2 revisions

Strangely enough I can no longer replicate the issue :-/

Trying to figure out what was different in the initial test...

Ludek

2021-04-13 16:38

developer   ~0062811

Last edited: 2021-04-13 16:40

View 2 revisions

Fixed in 5.0.1.2400 and merged to 5.0.0.2334

Test note: The issue was reproducible only with local library files, it was non-reproducible with non-library files (or files from another server).

rusty

2021-04-15 17:52

administrator   ~0062837

Last edited: 2021-04-15 19:35

View 2 revisions

Seems much better in 2334:
After playing 25 tracks ( ~ 60 minutes), memory utilization grew from 230MB --> 260MB.

peke

2021-04-17 03:02

developer   ~0062865

Verified 2236

3h DLNA playback mixed content Audio/Video memory utilization raised 15% only from 280 -> 320